
exports.up = function (knex) {
    return knex.schema.hasColumn('items', 'stats').then(bool => {
        if(!bool){
            return knex.schema.table('items', table => {
                table.json('stats')
                return table
            })
        }
    })
}


exports.down = function (knex) {
    return knex.schema.table('items', function (table) {
        table.dropColumn('stats')
    })
}